LibreOffice: LocaleDataItem2 Struct Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
LocaleDataItem2 Struct Reference

Locale specific data, derived from LocaleDataItem adding an alternative input decimal separator. More...

Inheritance diagram for LocaleDataItem2:

## Public Attributes
string | decimalSeparatorAlternative
| Alternative input decimal separator, for example, "." if the regular locale dependent separator usually is not present on keyboards used with that locale.
Public Attributes inherited from LocaleDataItem
string | unoID
| internal ID string, not unique, not meaningful to the outer world
string | dateSeparator
| date separator, for example, "/" or "." or "-"
string | thousandSeparator
| group and thousand separator, for example, "," or "."
string | decimalSeparator
| decimal separator, for example, "." or ","
string | timeSeparator
| time separator, for example, ":"
string | time100SecSeparator
| time 100th seconds separator, for example, ","
string | listSeparator
| list separator, for example, ";"
string | quotationStart
| single quotation mark start
string | quotationEnd
| single quotation mark end
string | doubleQuotationStart
| double quotation mark start
string | doubleQuotationEnd
| double quotation mark end
string | timeAM
| time AM symbol, for example, "AM" or "am"
string | timePM
| time PM symbol, for example, "PM" or "pm"
string | measurementSystem
| measurement system, "metric" or "us"
string | LongDateDayOfWeekSeparator
| long date day of week separator, for example, ", "
string | LongDateDaySeparator
| long date day separator, for example, ", "
string | LongDateMonthSeparator
| long date month separator, for example, " "
string | LongDateYearSeparator
| long date year separator, for example, " "

## Detailed Description

Locale specific data, derived from LocaleDataItem adding an alternative input decimal separator.

Since
  LibreOffice 6.0

## Member Data Documentation

## ◆ decimalSeparatorAlternative

string decimalSeparatorAlternative

Alternative input decimal separator, for example, "." if the regular locale dependent separator usually is not present on keyboards used with that locale.

This separator is optional, an empty string denotes no alternative decimal separator shall be used.

The documentation for this struct was generated from the following file:

- com/sun/star/i18n/LocaleDataItem2.idl